Verified Commit cc41f252 authored by Zander Brown's avatar Zander Brown
Browse files

build: setup handy dep

parent 9aa67e9d
...@@ -2,4 +2,5 @@ ...@@ -2,4 +2,5 @@
*~ *~
build build
.vscode .vscode
/subprojects/vte /subprojects/vte
\ No newline at end of file /subprojects/handy
\ No newline at end of file
...@@ -7,6 +7,7 @@ Build-Depends: ...@@ -7,6 +7,7 @@ Build-Depends:
debhelper (>= 11), debhelper (>= 11),
desktop-file-utils, desktop-file-utils,
libgtk-3-dev (>= 3.24.0), libgtk-3-dev (>= 3.24.0),
libhandy-0.0-dev (>= 0.0.9),
gsettings-desktop-schemas-dev (>= 0.1.0), gsettings-desktop-schemas-dev (>= 0.1.0),
libglib2.0-dev (>= 2.58.0), libglib2.0-dev (>= 2.58.0),
libpcre2-dev (>= 10.00), libpcre2-dev (>= 10.00),
......
...@@ -49,6 +49,17 @@ ...@@ -49,6 +49,17 @@
} }
] ]
}, },
{
"name": "handy",
"builddir": true,
"buildsystem": "meson",
"sources": [
{
"type": "git",
"url": "https://source.puri.sm/Librem5/libhandy"
}
]
},
{ {
"name": "kgx", "name": "kgx",
"builddir": true, "builddir": true,
......
...@@ -19,6 +19,7 @@ kgx_sources = [ ...@@ -19,6 +19,7 @@ kgx_sources = [
kgx_deps = [ kgx_deps = [
dependency('gio-2.0', version: '>= 2.58'), dependency('gio-2.0', version: '>= 2.58'),
dependency('gtk+-3.0', version: '>= 3.24'), dependency('gtk+-3.0', version: '>= 3.24'),
dependency('libhandy-0.0', version: '>= 0.0.11', fallback: ['handy', 'libhandy_dep']),
cc.find_library('m', required: false), cc.find_library('m', required: false),
] ]
......
[wrap-git]
directory=handy
url=https://source.puri.sm/Librem5/libhandy.git
revision=origin/master
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment